//
//     Copyright 2022 The Dragonfly Authors
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//      http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.28.1
// 	protoc        v3.21.6
// source: pkg/apis/errordetails/v2/errordetails.proto

package errordetails

import (
	v2 "d7y.io/api/pkg/apis/common/v2"
	_ "github.com/envoyproxy/protoc-gen-validate/validate"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// DownloadPeerBackToSourceFailed is error detail of downloading peer back-to-source.
type DownloadPeerBackToSourceFailed struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// The description of the error.
	Description string `protobuf:"bytes,1,opt,name=description,proto3" json:"description,omitempty"`
}

func (x *DownloadPeerBackToSourceFailed) Reset() {
	*x = DownloadPeerBackToSourceFailed{}
	if protoimpl.UnsafeEnabled {
		mi := &file_pkg_apis_errordetails_v2_errordetails_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DownloadPeerBackToSourceFailed) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DownloadPeerBackToSourceFailed) ProtoMessage() {}

func (x *DownloadPeerBackToSourceFailed) ProtoReflect() protoreflect.Message {
	mi := &file_pkg_apis_errordetails_v2_errordetails_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DownloadPeerBackToSourceFailed.ProtoReflect.Descriptor instead.
func (*DownloadPeerBackToSourceFailed) Descriptor() ([]byte, []int) {
	return file_pkg_apis_errordetails_v2_errordetails_proto_rawDescGZIP(), []int{0}
}

func (x *DownloadPeerBackToSourceFailed) GetDescription() string {
	if x != nil {
		return x.Description
	}
	return ""
}

// DownloadPieceBackToSourceFailed is error detail of downloading piece back-to-source.
type DownloadPieceBackToSourceFailed struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Temporary recoverable error of source.
	Temporary bool `protobuf:"varint,1,opt,name=temporary,proto3" json:"temporary,omitempty"`
	// Source response metadata, eg: HTTP Status Code, HTTP Status, HTTP Header
	Metadata *v2.ExtendAttribute `protobuf:"bytes,2,opt,name=metadata,proto3" json:"metadata,omitempty"`
	// The number of piece.
	PieceNumber uint32 `protobuf:"varint,3,opt,name=piece_number,json=pieceNumber,proto3" json:"piece_number,omitempty"`
	// The description of the error.
	Description string `protobuf:"bytes,4,opt,name=description,proto3" json:"description,omitempty"`
}

func (x *DownloadPieceBackToSourceFailed) Reset() {
	*x = DownloadPieceBackToSourceFailed{}
	if protoimpl.UnsafeEnabled {
		mi := &file_pkg_apis_errordetails_v2_errordetails_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DownloadPieceBackToSourceFailed) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DownloadPieceBackToSourceFailed) ProtoMessage() {}

func (x *DownloadPieceBackToSourceFailed) ProtoReflect() protoreflect.Message {
	mi := &file_pkg_apis_errordetails_v2_errordetails_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DownloadPieceBackToSourceFailed.ProtoReflect.Descriptor instead.
func (*DownloadPieceBackToSourceFailed) Descriptor() ([]byte, []int) {
	return file_pkg_apis_errordetails_v2_errordetails_proto_rawDescGZIP(), []int{1}
}

func (x *DownloadPieceBackToSourceFailed) GetTemporary() bool {
	if x != nil {
		return x.Temporary
	}
	return false
}

func (x *DownloadPieceBackToSourceFailed) GetMetadata() *v2.ExtendAttribute {
	if x != nil {
		return x.Metadata
	}
	return nil
}

func (x *DownloadPieceBackToSourceFailed) GetPieceNumber() uint32 {
	if x != nil {
		return x.PieceNumber
	}
	return 0
}

func (x *DownloadPieceBackToSourceFailed) GetDescription() string {
	if x != nil {
		return x.Description
	}
	return ""
}

// DownloadPieceFailed is error detail of downloading piece.
type DownloadPieceFailed struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Temporary recoverable error of parent peer.
	Temporary bool `protobuf:"varint,1,opt,name=temporary,proto3" json:"temporary,omitempty"`
	// Source response metadata, eg: HTTP Status Code, HTTP Status, HTTP Header
	Metadata *v2.ExtendAttribute `protobuf:"bytes,2,opt,name=metadata,proto3" json:"metadata,omitempty"`
	// Piece is information of piece.
	ParentId string `protobuf:"bytes,3,opt,name=parent_id,json=parentId,proto3" json:"parent_id,omitempty"`
	// The number of piece.
	PieceNumber uint32 `protobuf:"varint,4,opt,name=piece_number,json=pieceNumber,proto3" json:"piece_number,omitempty"`
	// The description of the error.
	Description string `protobuf:"bytes,5,opt,name=description,proto3" json:"description,omitempty"`
}

func (x *DownloadPieceFailed) Reset() {
	*x = DownloadPieceFailed{}
	if protoimpl.UnsafeEnabled {
		mi := &file_pkg_apis_errordetails_v2_errordetails_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DownloadPieceFailed) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DownloadPieceFailed) ProtoMessage() {}

func (x *DownloadPieceFailed) ProtoReflect() protoreflect.Message {
	mi := &file_pkg_apis_errordetails_v2_errordetails_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DownloadPieceFailed.ProtoReflect.Descriptor instead.
func (*DownloadPieceFailed) Descriptor() ([]byte, []int) {
	return file_pkg_apis_errordetails_v2_errordetails_proto_rawDescGZIP(), []int{2}
}

func (x *DownloadPieceFailed) GetTemporary() bool {
	if x != nil {
		return x.Temporary
	}
	return false
}

func (x *DownloadPieceFailed) GetMetadata() *v2.ExtendAttribute {
	if x != nil {
		return x.Metadata
	}
	return nil
}

func (x *DownloadPieceFailed) GetParentId() string {
	if x != nil {
		return x.ParentId
	}
	return ""
}

func (x *DownloadPieceFailed) GetPieceNumber() uint32 {
	if x != nil {
		return x.PieceNumber
	}
	return 0
}

func (x *DownloadPieceFailed) GetDescription() string {
	if x != nil {
		return x.Description
	}
	return ""
}

// SchedulePeerForbidden is error detail of forbidden.
type SchedulePeerForbidden struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// The description of the error.
	Description string `protobuf:"bytes,1,opt,name=description,proto3" json:"description,omitempty"`
}

func (x *SchedulePeerForbidden) Reset() {
	*x = SchedulePeerForbidden{}
	if protoimpl.UnsafeEnabled {
		mi := &file_pkg_apis_errordetails_v2_errordetails_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SchedulePeerForbidden) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SchedulePeerForbidden) ProtoMessage() {}

func (x *SchedulePeerForbidden) ProtoReflect() protoreflect.Message {
	mi := &file_pkg_apis_errordetails_v2_errordetails_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SchedulePeerForbidden.ProtoReflect.Descriptor instead.
func (*SchedulePeerForbidden) Descriptor() ([]byte, []int) {
	return file_pkg_apis_errordetails_v2_errordetails_proto_rawDescGZIP(), []int{3}
}

func (x *SchedulePeerForbidden) GetDescription() string {
	if x != nil {
		return x.Description
	}
	return ""
}

// SchedulePeerFailed is error detail of scheduling.
type SchedulePeerFailed struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// The description of the error.
	Description string `protobuf:"bytes,1,opt,name=description,proto3" json:"description,omitempty"`
}

func (x *SchedulePeerFailed) Reset() {
	*x = SchedulePeerFailed{}
	if protoimpl.UnsafeEnabled {
		mi := &file_pkg_apis_errordetails_v2_errordetails_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SchedulePeerFailed) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SchedulePeerFailed) ProtoMessage() {}

func (x *SchedulePeerFailed) ProtoReflect() protoreflect.Message {
	mi := &file_pkg_apis_errordetails_v2_errordetails_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SchedulePeerFailed.ProtoReflect.Descriptor instead.
func (*SchedulePeerFailed) Descriptor() ([]byte, []int) {
	return file_pkg_apis_errordetails_v2_errordetails_proto_rawDescGZIP(), []int{4}
}

func (x *SchedulePeerFailed) GetDescription() string {
	if x != nil {
		return x.Description
	}
	return ""
}

// SyncPiecesFailed is error detail of syncing pieces.
type SyncPiecesFailed struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Temporary recoverable error of parent peer.
	Temporary bool `protobuf:"varint,1,opt,name=temporary,proto3" json:"temporary,omitempty"`
	// Parent peer id.
	ParentId string `protobuf:"bytes,2,opt,name=parent_id,json=parentId,proto3" json:"parent_id,omitempty"`
	// The description of the error.
	Description string `protobuf:"bytes,3,opt,name=description,proto3" json:"description,omitempty"`
}

func (x *SyncPiecesFailed) Reset() {
	*x = SyncPiecesFailed{}
	if protoimpl.UnsafeEnabled {
		mi := &file_pkg_apis_errordetails_v2_errordetails_proto_msgTypes[5]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SyncPiecesFailed) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SyncPiecesFailed) ProtoMessage() {}

func (x *SyncPiecesFailed) ProtoReflect() protoreflect.Message {
	mi := &file_pkg_apis_errordetails_v2_errordetails_proto_msgTypes[5]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SyncPiecesFailed.ProtoReflect.Descriptor instead.
func (*SyncPiecesFailed) Descriptor() ([]byte, []int) {
	return file_pkg_apis_errordetails_v2_errordetails_proto_rawDescGZIP(), []int{5}
}

func (x *SyncPiecesFailed) GetTemporary() bool {
	if x != nil {
		return x.Temporary
	}
	return false
}

func (x *SyncPiecesFailed) GetParentId() string {
	if x != nil {
		return x.ParentId
	}
	return ""
}

func (x *SyncPiecesFailed) GetDescription() string {
	if x != nil {
		return x.Description
	}
	return ""
}

// StatMetadataFailed is error detail of stat metadata.
type StatMetadataFailed struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// The description of the error.
	Description string `protobuf:"bytes,1,opt,name=description,proto3" json:"description,omitempty"`
}

func (x *StatMetadataFailed) Reset() {
	*x = StatMetadataFailed{}
	if protoimpl.UnsafeEnabled {
		mi := &file_pkg_apis_errordetails_v2_errordetails_proto_msgTypes[6]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *StatMetadataFailed) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*StatMetadataFailed) ProtoMessage() {}

func (x *StatMetadataFailed) ProtoReflect() protoreflect.Message {
	mi := &file_pkg_apis_errordetails_v2_errordetails_proto_msgTypes[6]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use StatMetadataFailed.ProtoReflect.Descriptor instead.
func (*StatMetadataFailed) Descriptor() ([]byte, []int) {
	return file_pkg_apis_errordetails_v2_errordetails_proto_rawDescGZIP(), []int{6}
}

func (x *StatMetadataFailed) GetDescription() string {
	if x != nil {
		return x.Description
	}
	return ""
}

var File_pkg_apis_errordetails_v2_errordetails_proto protoreflect.FileDescriptor

var file_pkg_apis_errordetails_v2_errordetails_proto_rawDesc = []byte{
	0x0a, 0x2b, 0x70, 0x6b, 0x67, 0x2f, 0x61, 0x70, 0x69, 0x73, 0x2f, 0x65, 0x72, 0x72, 0x6f, 0x72,
	0x64, 0x65, 0x74, 0x61, 0x69, 0x6c, 0x73, 0x2f, 0x76, 0x32, 0x2f, 0x65, 0x72, 0x72, 0x6f, 0x72,
	0x64, 0x65, 0x74, 0x61, 0x69, 0x6c, 0x73, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x0f, 0x65,
	0x72, 0x72, 0x6f, 0x72, 0x64, 0x65, 0x74, 0x61, 0x69, 0x6c, 0x73, 0x2e, 0x76, 0x32, 0x1a, 0x17,
	0x76, 0x61, 0x6c, 0x69, 0x64, 0x61, 0x74, 0x65, 0x2f, 0x76, 0x61, 0x6c, 0x69, 0x64, 0x61, 0x74,
	0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x1f, 0x70, 0x6b, 0x67, 0x2f, 0x61, 0x70, 0x69,
	0x73, 0x2f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2f, 0x76, 0x32, 0x2f, 0x63, 0x6f, 0x6d, 0x6d,
	0x6f, 0x6e, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0x42, 0x0a, 0x1e, 0x44, 0x6f, 0x77, 0x6e,
	0x6c, 0x6f, 0x61, 0x64, 0x50, 0x65, 0x65, 0x72, 0x42, 0x61, 0x63, 0x6b, 0x54, 0x6f, 0x53, 0x6f,
	0x75, 0x72, 0x63, 0x65, 0x46, 0x61, 0x69, 0x6c, 0x65, 0x64, 0x12, 0x20, 0x0a, 0x0b, 0x64, 0x65,
	0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x0b, 0x64, 0x65, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x22, 0xcf, 0x01, 0x0a,
	0x1f, 0x44, 0x6f, 0x77, 0x6e, 0x6c, 0x6f, 0x61, 0x64, 0x50, 0x69, 0x65, 0x63, 0x65, 0x42, 0x61,
	0x63, 0x6b, 0x54, 0x6f, 0x53, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x46, 0x61, 0x69, 0x6c, 0x65, 0x64,
	0x12, 0x1c, 0x0a, 0x09, 0x74, 0x65, 0x6d, 0x70, 0x6f, 0x72, 0x61, 0x72, 0x79, 0x18, 0x01, 0x20,
	0x01, 0x28, 0x08, 0x52, 0x09, 0x74, 0x65, 0x6d, 0x70, 0x6f, 0x72, 0x61, 0x72, 0x79, 0x12, 0x40,
	0x0a, 0x08, 0x6d, 0x65, 0x74, 0x61, 0x64, 0x61, 0x74, 0x61, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b,
	0x32, 0x1a, 0x2e, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x76, 0x32, 0x2e, 0x45, 0x78, 0x74,
	0x65, 0x6e, 0x64, 0x41, 0x74, 0x74, 0x72, 0x69, 0x62, 0x75, 0x74, 0x65, 0x42, 0x08, 0xfa, 0x42,
	0x05, 0x8a, 0x01, 0x02, 0x10, 0x01, 0x52, 0x08, 0x6d, 0x65, 0x74, 0x61, 0x64, 0x61, 0x74, 0x61,
	0x12, 0x2a, 0x0a, 0x0c, 0x70, 0x69, 0x65, 0x63, 0x65, 0x5f, 0x6e, 0x75, 0x6d, 0x62, 0x65, 0x72,
	0x18, 0x03, 0x20, 0x01, 0x28, 0x0d, 0x42, 0x07, 0xfa, 0x42, 0x04, 0x2a, 0x02, 0x28, 0x00, 0x52,
	0x0b, 0x70, 0x69, 0x65, 0x63, 0x65, 0x4e, 0x75, 0x6d, 0x62, 0x65, 0x72, 0x12, 0x20, 0x0a, 0x0b,
	0x64, 0x65, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x04, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x0b, 0x64, 0x65, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x22, 0xe9,
	0x01, 0x0a, 0x13, 0x44, 0x6f, 0x77, 0x6e, 0x6c, 0x6f, 0x61, 0x64, 0x50, 0x69, 0x65, 0x63, 0x65,
	0x46, 0x61, 0x69, 0x6c, 0x65, 0x64, 0x12, 0x1c, 0x0a, 0x09, 0x74, 0x65, 0x6d, 0x70, 0x6f, 0x72,
	0x61, 0x72, 0x79, 0x18, 0x01, 0x20, 0x01, 0x28, 0x08, 0x52, 0x09, 0x74, 0x65, 0x6d, 0x70, 0x6f,
	0x72, 0x61, 0x72, 0x79, 0x12, 0x40, 0x0a, 0x08, 0x6d, 0x65, 0x74, 0x61, 0x64, 0x61, 0x74, 0x61,
	0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1a, 0x2e, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e,
	0x76, 0x32, 0x2e, 0x45, 0x78, 0x74, 0x65, 0x6e, 0x64, 0x41, 0x74, 0x74, 0x72, 0x69, 0x62, 0x75,
	0x74, 0x65, 0x42, 0x08, 0xfa, 0x42, 0x05, 0x8a, 0x01, 0x02, 0x10, 0x01, 0x52, 0x08, 0x6d, 0x65,
	0x74, 0x61, 0x64, 0x61, 0x74, 0x61, 0x12, 0x24, 0x0a, 0x09, 0x70, 0x61, 0x72, 0x65, 0x6e, 0x74,
	0x5f, 0x69, 0x64, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x42, 0x07, 0xfa, 0x42, 0x04, 0x72, 0x02,
	0x10, 0x01, 0x52, 0x08, 0x70, 0x61, 0x72, 0x65, 0x6e, 0x74, 0x49, 0x64, 0x12, 0x2a, 0x0a, 0x0c,
	0x70, 0x69, 0x65, 0x63, 0x65, 0x5f, 0x6e, 0x75, 0x6d, 0x62, 0x65, 0x72, 0x18, 0x04, 0x20, 0x01,
	0x28, 0x0d, 0x42, 0x07, 0xfa, 0x42, 0x04, 0x2a, 0x02, 0x28, 0x00, 0x52, 0x0b, 0x70, 0x69, 0x65,
	0x63, 0x65, 0x4e, 0x75, 0x6d, 0x62, 0x65, 0x72, 0x12, 0x20, 0x0a, 0x0b, 0x64, 0x65, 0x73, 0x63,
	0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x05, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0b, 0x64,
	0x65, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x22, 0x39, 0x0a, 0x15, 0x53, 0x63,
	0x68, 0x65, 0x64, 0x75, 0x6c, 0x65, 0x50, 0x65, 0x65, 0x72, 0x46, 0x6f, 0x72, 0x62, 0x69, 0x64,
	0x64, 0x65, 0x6e, 0x12, 0x20, 0x0a, 0x0b, 0x64, 0x65, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x69,
	0x6f, 0x6e, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0b, 0x64, 0x65, 0x73, 0x63, 0x72, 0x69,
	0x70, 0x74, 0x69, 0x6f, 0x6e, 0x22, 0x36, 0x0a, 0x12, 0x53, 0x63, 0x68, 0x65, 0x64, 0x75, 0x6c,
	0x65, 0x50, 0x65, 0x65, 0x72, 0x46, 0x61, 0x69, 0x6c, 0x65, 0x64, 0x12, 0x20, 0x0a, 0x0b, 0x64,
	0x65, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x0b, 0x64, 0x65, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x22, 0x78, 0x0a,
	0x10, 0x53, 0x79, 0x6e, 0x63, 0x50, 0x69, 0x65, 0x63, 0x65, 0x73, 0x46, 0x61, 0x69, 0x6c, 0x65,
	0x64, 0x12, 0x1c, 0x0a, 0x09, 0x74, 0x65, 0x6d, 0x70, 0x6f, 0x72, 0x61, 0x72, 0x79, 0x18, 0x01,
	0x20, 0x01, 0x28, 0x08, 0x52, 0x09, 0x74, 0x65, 0x6d, 0x70, 0x6f, 0x72, 0x61, 0x72, 0x79, 0x12,
	0x24, 0x0a, 0x09, 0x70, 0x61, 0x72, 0x65, 0x6e, 0x74, 0x5f, 0x69, 0x64, 0x18, 0x02, 0x20, 0x01,
	0x28, 0x09, 0x42, 0x07, 0xfa, 0x42, 0x04, 0x72, 0x02, 0x10, 0x01, 0x52, 0x08, 0x70, 0x61, 0x72,
	0x65, 0x6e, 0x74, 0x49, 0x64, 0x12, 0x20, 0x0a, 0x0b, 0x64, 0x65, 0x73, 0x63, 0x72, 0x69, 0x70,
	0x74, 0x69, 0x6f, 0x6e, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0b, 0x64, 0x65, 0x73, 0x63,
	0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x22, 0x36, 0x0a, 0x12, 0x53, 0x74, 0x61, 0x74, 0x4d,
	0x65, 0x74, 0x61, 0x64, 0x61, 0x74, 0x61, 0x46, 0x61, 0x69, 0x6c, 0x65, 0x64, 0x12, 0x20, 0x0a,
	0x0b, 0x64, 0x65, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x01, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x0b, 0x64, 0x65, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x42,
	0x32, 0x5a, 0x30, 0x64, 0x37, 0x79, 0x2e, 0x69, 0x6f, 0x2f, 0x61, 0x70, 0x69, 0x2f, 0x70, 0x6b,
	0x67, 0x2f, 0x61, 0x70, 0x69, 0x73, 0x2f, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x64, 0x65, 0x74, 0x61,
	0x69, 0x6c, 0x73, 0x2f, 0x76, 0x32, 0x3b, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x64, 0x65, 0x74, 0x61,
	0x69, 0x6c, 0x73, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_pkg_apis_errordetails_v2_errordetails_proto_rawDescOnce sync.Once
	file_pkg_apis_errordetails_v2_errordetails_proto_rawDescData = file_pkg_apis_errordetails_v2_errordetails_proto_rawDesc
)

func file_pkg_apis_errordetails_v2_errordetails_proto_rawDescGZIP() []byte {
	file_pkg_apis_errordetails_v2_errordetails_proto_rawDescOnce.Do(func() {
		file_pkg_apis_errordetails_v2_errordetails_proto_rawDescData = protoimpl.X.CompressGZIP(file_pkg_apis_errordetails_v2_errordetails_proto_rawDescData)
	})
	return file_pkg_apis_errordetails_v2_errordetails_proto_rawDescData
}

var file_pkg_apis_errordetails_v2_errordetails_proto_msgTypes = make([]protoimpl.MessageInfo, 7)
var file_pkg_apis_errordetails_v2_errordetails_proto_goTypes = []interface{}{
	(*DownloadPeerBackToSourceFailed)(nil),  // 0: errordetails.v2.DownloadPeerBackToSourceFailed
	(*DownloadPieceBackToSourceFailed)(nil), // 1: errordetails.v2.DownloadPieceBackToSourceFailed
	(*DownloadPieceFailed)(nil),             // 2: errordetails.v2.DownloadPieceFailed
	(*SchedulePeerForbidden)(nil),           // 3: errordetails.v2.SchedulePeerForbidden
	(*SchedulePeerFailed)(nil),              // 4: errordetails.v2.SchedulePeerFailed
	(*SyncPiecesFailed)(nil),                // 5: errordetails.v2.SyncPiecesFailed
	(*StatMetadataFailed)(nil),              // 6: errordetails.v2.StatMetadataFailed
	(*v2.ExtendAttribute)(nil),              // 7: common.v2.ExtendAttribute
}
var file_pkg_apis_errordetails_v2_errordetails_proto_depIdxs = []int32{
	7, // 0: errordetails.v2.DownloadPieceBackToSourceFailed.metadata:type_name -> common.v2.ExtendAttribute
	7, // 1: errordetails.v2.DownloadPieceFailed.metadata:type_name -> common.v2.ExtendAttribute
	2, // [2:2] is the sub-list for method output_type
	2, // [2:2] is the sub-list for method input_type
	2, // [2:2] is the sub-list for extension type_name
	2, // [2:2] is the sub-list for extension extendee
	0, // [0:2] is the sub-list for field type_name
}

func init() { file_pkg_apis_errordetails_v2_errordetails_proto_init() }
func file_pkg_apis_errordetails_v2_errordetails_proto_init() {
	if File_pkg_apis_errordetails_v2_errordetails_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_pkg_apis_errordetails_v2_errordetails_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DownloadPeerBackToSourceFailed); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_pkg_apis_errordetails_v2_errordetails_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DownloadPieceBackToSourceFailed); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_pkg_apis_errordetails_v2_errordetails_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DownloadPieceFailed); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_pkg_apis_errordetails_v2_errordetails_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SchedulePeerForbidden); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_pkg_apis_errordetails_v2_errordetails_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SchedulePeerFailed); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_pkg_apis_errordetails_v2_errordetails_proto_msgTypes[5].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SyncPiecesFailed); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_pkg_apis_errordetails_v2_errordetails_proto_msgTypes[6].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*StatMetadataFailed); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_pkg_apis_errordetails_v2_errordetails_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   7,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_pkg_apis_errordetails_v2_errordetails_proto_goTypes,
		DependencyIndexes: file_pkg_apis_errordetails_v2_errordetails_proto_depIdxs,
		MessageInfos:      file_pkg_apis_errordetails_v2_errordetails_proto_msgTypes,
	}.Build()
	File_pkg_apis_errordetails_v2_errordetails_proto = out.File
	file_pkg_apis_errordetails_v2_errordetails_proto_rawDesc = nil
	file_pkg_apis_errordetails_v2_errordetails_proto_goTypes = nil
	file_pkg_apis_errordetails_v2_errordetails_proto_depIdxs = nil
}
